<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Quiz extends Model 
{

    protected $table = 'quizzes';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];

    public function quizzable()
    {
        return $this->morphTo();
    }

    public function questions()
    {
        return $this->hasMany('Question');
    }

}